Contenu | Rechercher | Menus

Annonce

Ubuntu 16.04 LTS
Commandez vos DVD et clés USB Ubuntu-fr !

Appel à contributeurs. Réunion pour la refonte du wiki lundi 26 juin

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

#1 Le 01/09/2015, à 22:26

Le Pedro

[résolu] VLC : pb module de décodage

Bonjour à tou-tes,
j'ai plusieurs fichiers videos que je ne parviens pas à lire avec VLC, ainsi qu'avec les autres lecteurs videos installés. Le symptôme est le suivant : le fichier s'ouvre, j'ai le son mais l'image.
Je pensais au départ que c'était lié au format (.mkv), puis j'ai lu la doc qui y est consacrée pour constater que ce n'était pas le cas.
Voilà le message d'erreur que j'obtiens dans VLC :

Pas de module de décodage approprié pour le format:
VLC ne supporte probablement pas le format audio ou vidéo « hevc ». Malheureusement il n'y a rien à faire.

Comme j'ai le son et pas la video, j'en déduis que cela vient du codec video.
Dans outil>information sur les codecs>codec>flux 0, je trouve les infos suivantes :
- type : video
- codec : MPEG-H Part 2/HEVC (H.265) (hevc)
- resolution : 1280*720
- débit d'image : 23.976215

Comme dans la doc, il est expliqué que le .mkv est bien lu avec mplayer, j'ai essayé, mais obtiens cette fois ce message d'erreur :

Error in skin config file on line 6: PNG read error in/usr/share/mplayer/skins/default/main
Config file processing error with skin'default'

Je ne comprends pas pourquoi VLC ne veut/peut pas lire le H.265/HEVC. En tapant le message d'erreur dans un moteur de recherche, j'ai vu et lu que la situation était assez fréquente ces derniers mois. La plupart du temps, on conseille de mettre à jour vlc, mais même après un upgrade de tous les paquets, le message persiste, ainsi que les symptômes bien sûr.
Que faire ?

Dernière modification par Le Pedro (Le 03/09/2015, à 21:10)

Hors ligne

#2 Le 02/09/2015, à 12:06

sergei_ruskof

Re : [résolu] VLC : pb module de décodage

Bonjour,

Essaye en installant le paquet x265 ou libx265 disponible pour vivid ou wily uniquement.

Hors ligne

#3 Le 02/09/2015, à 14:22

Le Pedro

Re : [résolu] VLC : pb module de décodage

sudo apt-get install libx265 comme sudo apt-get install x265 ne donnent rien : impossible de trouver ces paquets.
J'ai essayé en passant par synaptic, et je ne les trouve pas non plus.
Et surtout, je suis sous trusty...

Hors ligne

#4 Le 02/09/2015, à 19:44

sergei_ruskof

Re : [résolu] VLC : pb module de décodage

Essaye de trouver un dépot avec vlc et x265 a jour pour trusty ou alors fait l'upgrade de la distribution, ou bien fait une compilation des paquets.

Hors ligne

#5 Le 02/09/2015, à 20:06

Le Pedro

Re : [résolu] VLC : pb module de décodage

sergei_ruskof a écrit :

Essaye de trouver un dépot avec vlc et x265 a jour pour trusty

comment je fais pour trouver ça ??

sergei_ruskof a écrit :

ou alors fait l'upgrade de la distribution

j'aimerai mieux pas, ou en tout cas j'attendrai la prochaine LTS ; je suis sur un ordi qui commence à être assez ancien, et la dernière fois que j'ai fait un upgrade sur un autre ordi, ça s'est mal passé et j'ai dû revenir en arrière en catastrophe

sergei_ruskof a écrit :

ou bien fait une compilation des paquets.

alors là, j'en suis bien incapable tout seul !! hmm

Hors ligne

#6 Le 03/09/2015, à 17:56

sergei_ruskof

Re : [résolu] VLC : pb module de décodage

Le Pedro a écrit :

comment je fais pour trouver ça ??

En faisant une recherche appropriée dans ton moteur de recherche favoris.

j'ai trouvé ça :

http://morgan-durand.com/lire-le-format … lc-ubuntu/

Hors ligne

#7 Le 03/09/2015, à 21:09

Le Pedro

Re : [résolu] VLC : pb module de décodage

super, ça marche ! Merci à toi  ! J'ai une vingtaine de fichiers qui n'attendent plus qu'à être visionnés. Merci encore ! smile

Hors ligne

#8 Le 08/03/2016, à 11:44

spearit

Re : [résolu] VLC : pb module de décodage

sudo apt-add-repository ppa:strukturag/libde265
sudo apt-get update
sudo apt-get install vlc-plugin-libde265

Hors ligne

#9 Le 14/07/2016, à 19:31

hep

Re : [résolu] VLC : pb module de décodage

Bonjour,

Je veux bien ... mais voila ... le dépot fonctionne pas chez moi (16.04)

Err:28 http://ppa.launchpad.net/strukturag/libde265/ubuntu xenial/main amd64 Packages                                                                                                           
  404  Not Found

Dernière modification par hep (Le 14/07/2016, à 19:32)

Hors ligne

#10 Le 14/07/2016, à 21:08

Lulux3

Re : [résolu] VLC : pb module de décodage

Salut hep
Pas besoin, puisque libx265 est dans les dépôts officiels de la 16.04.
Idem pour VLC (version 2.2.2), qui lit les HEVC sans problème...

Hors ligne

#11 Le 15/01/2017, à 15:40

hep

Re : [résolu] VLC : pb module de décodage

Exact Lulux, merci smile

Hors ligne

#12 Le 28/01/2017, à 13:22

shairon

Re : [résolu] VLC : pb module de décodage

moi ça a bien fonctionné. Merci

Hors ligne

#13 Le 10/05/2017, à 23:04

BriceF77

Re : [résolu] VLC : pb module de décodage

Trusty 14.04 VLC Backport::
Un portage (backport) est dispos PPA: https://launchpad.net/~jonathonf/+archi … ter=trusty

  sudo add-apt-repository ppa:jonathonf/vlc
  sudo apt-get update
  sudo apt-get install x265 vlc

Hors ligne

#14 Le 11/06/2017, à 03:21

Sky3RN

Re : [résolu] VLC : pb module de décodage

Je me permets de relancer ce topic parce que j'ai presque le même problème !
Pour ma part c'est pas de l'h265 mais du DNxHD (Codec AVhd ou AVChd je crois ?) et impossible de trouver comment lire ça sur mon Ubuntu 16.04..

Je ne veux pas transcoder ma vidéo, je veux juste pouvoir la lire avec l'image et le son (je n'ai que le son. tongue) !!

Hors ligne